{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.goblin.idle": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"idle": "query.modified_move_speed<0.1"
						}
					]
				}
			}
		},
		"controller.animation.goblin.walk": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"walking": "query.modified_move_speed"
						}
					],
					"blend_transition": 0.2
				},
				"walking": {
					"animations": [
						{
							"walk": "query.is_moving"
						}
					],
					"transitions": [
						{
							"default": "query.modified_move_speed<0"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.goblin.barter": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"barter": "query.is_admiring"
						}
					]
				}
			}
		}
	}
}